from pydantic_settings import BaseSettings, SettingsConfigDict


class Configs(BaseSettings):
    """
    ApiTemplate configuration settings.
    """

    ACCESS_TOKEN_LENGTH: int = 90
    REFRESHER_TOKEN_LENGTH: int = 144

    model_config = SettingsConfigDict(env_prefix="API_")


token_config = Configs()
